Line labels sometimes placed on an endpoint rather than in the middle

2014-02-04 05:19 AM - Olivier Dalang

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 18081

Description

Hi !

I frequently encounter the following bug : depending on other layer's visibility, some labels (of polyline layers) are moved to an endpoint of

the line rather than being display in the middle.

- This does not happen at all scales and I couldn't manage to find out when it's happening and when not.

- I tried to play around with some render settings, but it seems there's no relevant option to avoid this.

- The bug is already present in 2.0.1.

See the screenshots : 

A - display is as expected

B - when activating another layer, one of the label moved it's position

I can provide a test file upon request (I'd rather not post it here, but can send it privately without problem)

History

#1 - 2014-02-07 01:47 PM - Larry Shaffer

Try un-checking "Discourage labels from covering features" for the lots layer, or for both layers. It is under Vector Properties -> Labels -> Rendering

#2 - 2016-06-09 01:13 PM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Open to Closed

Closing due to lack of feedback. If still reproducible in current versions please reopen and attach a sample project
